summaryrefslogtreecommitdiffstats
path: root/ci/02-deploybundle.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-08-02 08:56:54 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-08-02 09:13:41 -0500
commit947016a2eb2be266c8eaf183ea904b2bc204776b (patch)
treea94e02f7b7eaddbd4d8d1856bbd490d3b929f083 /ci/02-deploybundle.sh
parent7c92a769fd2f01bb207f8f2b4099be450d3cc07a (diff)
clenup the naming convention of the scripts and modify not to use
variable directly. Change-Id: I234b53010a32c3b1f0daef507585dde4652616eb Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/02-deploybundle.sh')
-rwxr-xr-xci/02-deploybundle.sh102
1 files changed, 102 insertions, 0 deletions
diff --git a/ci/02-deploybundle.sh b/ci/02-deploybundle.sh
new file mode 100755
index 00000000..ffacef9f
--- /dev/null
+++ b/ci/02-deploybundle.sh
@@ -0,0 +1,102 @@
+#!/bin/bash
+#placeholder for deployment script.
+set -ex
+
+# ./02-deploybundle.sh $opnfvtype $openstack $opnfvlab $opnfvsdn $opnfvfeature $opnfvdistro
+
+opnfvtype=$1
+openstack=$2
+opnfvlab=$3
+opnfvsdn=$4
+opnfvfeature=$5
+opnfvdistro=$6
+
+#copy and download charms
+cp $opnfvsdn/fetch-charms.sh ./fetch-charms.sh
+
+#modify the ubuntu series wants to deploy
+sed -i -- "s|distro=trusty|distro=$opnfvdistro|g" ./fetch-charms.sh
+
+./fetch-charms.sh $opnfvdistro
+
+osdomname=''
+
+#check whether charms are still executing the code even juju-deployer says installed.
+check_status() {
+ retval=0
+ timeoutiter=0
+ while [ $retval -eq 0 ]; do
+ sleep 30
+ juju status > status.txt
+ if [ "$(grep -c "executing" status.txt )" -ge 2 ]; then
+ echo " still executing the reltionship within charms ..."
+ if [ $timeoutiter -ge 60 ]; then
+ retval=1
+ fi
+ timeoutiter=$((timeoutiter+1))
+ else
+ retval=1
+ fi
+ done
+ echo "...... deployment finishing ......."
+}
+
+#read the value from deployment.yaml
+if [ -e ~/.juju/deployment.yaml ]; then
+ cp ~/.juju/deployment.yaml ./deployment.yaml
+ if [ -e ~/.juju/deployconfig.yaml ]; then
+ cp ~/.juju/deployconfig.yaml ./deployconfig.yaml
+ extport=`grep "ext-port" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //' | tr ',' ' '`
+ datanet=`grep "dataNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
+ admnet=`grep "admNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
+ cephdisk=`grep "ceph-disk" deployconfig.yaml | cut -d ':' -f 2 | sed -e 's/ //'`
+ osdomname=`grep "os-domain-name" deployconfig.yaml | cut -d ':' -f 2 | sed -e 's/ //'`
+ fi
+fi
+
+case "$opnfvlab" in
+ 'juniperpod1' )
+ sed -i -- 's/10.4.1.1/172.16.50.1/g' ./bundles.yaml
+ sed -i -- 's/#ext-port: "eth1"/ext-port: "eth1"/g' ./bundles.yaml
+ ;;
+ 'ravellodemopod' )
+ sed -i -- 's/#ext-port: "eth1"/ext-port: "eth2"/g' ./bundles.yaml
+ ;;
+esac
+
+# lets put the if seperateor as "," as this will save me from world.
+fea=""
+IFS=","
+for feature in $opnfvfeature; do
+ if [ "$fea" == "" ]; then
+ fea=$feature
+ else
+ fea=$fea"_"$feature
+ fi
+done
+
+#update source if trusty is target distribution
+var=os-$opnfvsdn-$fea-$opnfvtype"-"$opnfvdistro"_"$openstack
+
+if [ "$osdomname" != "''" ]; then
+ var=$var"_"publicapi
+fi
+
+#lets generate the bundle for all target using genBundle.py
+python genBundle.py -l deployconfig.yaml -s $var > bundles.yaml
+
+echo "... Deployment Started ...."
+juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack"-nodes
+
+# seeing issue related to number of open files.
+# juju run --service nodes 'echo 2048 | sudo tee /proc/sys/fs/inotify/max_user_instances'
+
+count=`juju status nodes --format=short | grep nodes | wc -l`
+
+c=0
+while [ $c -lt $count ]; do
+ juju ssh nodes/$c 'echo 2048 | sudo tee /proc/sys/fs/inotify/max_user_instances'
+ let c+=1
+done
+
+juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true